org.eclipse.jetty.security.authentication

## Class FormAuthenticator.FormAuthentication

- java.lang.Object
- - org.eclipse.jetty.security.UserAuthentication
  - - org.eclipse.jetty.security.authentication.FormAuthenticator.FormAuthentication

All Implemented Interfaces:
  Authentication, Authentication.ResponseSent, Authentication.User

Enclosing class:
  FormAuthenticator

    public static class FormAuthenticator.FormAuthentication
    extends UserAuthentication
    implements Authentication.ResponseSent

This Authentication represents a just completed Form authentication. Subsequent requests from the same user are authenticated by the presents of a `SessionAuthentication` instance in their session.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication

`Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

### Field Summary

### Fields inherited from interface org.eclipse.jetty.server.Authentication

`NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

### Constructor Summary

Constructors
Constructor and Description
`FormAuthenticator.FormAuthentication(String method, UserIdentity userIdentity)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.eclipse.jetty.security.UserAuthentication

`getAuthMethod, getUserIdentity, isUserInRole, logout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FormAuthenticator.FormAuthentication

    public FormAuthenticator.FormAuthentication(String method,
                                        UserIdentity userIdentity)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `UserAuthentication`